package nc.ui.cdc.ref;

package ..deTemp.1741169204304;

import nc.ui.bd.ref.AbstractRefModel;

public class FundsSourceRef extends AbstractRefModel {
  private String[] fieldName = new String[] { "编码", "名称", "pk_corp", "时间戳", "数据状态", 
      "数据主键", "主表数据主键" };
  
  private String[] fieldCode = new String[] { "bitem_code", "bitem_name", "pk_corp", "dr", 
      "ts", "pk_item_b", "pk_item_h" };
  
  private String[] hiddenField = new String[] { "pk_item_b", "pk_item_h", "pk_corp", "dr", 
      "ts" };
  
  private String whereSQL = " pk_item_h='CDPMITEMTYPEPK000001' and dr = 0 ";
  
  public String getRefCodeField() {
    return "bitem_code";
  }
  
  public String getRefNameField() {
    return "bitem_name";
  }
  
  public String getWherePart() {
    return this.whereSQL;
  }
  
  public String[] getHiddenFieldCode() {
    return this.hiddenField;
  }
  
  public String getRefTitle() {
    return "经费来源";
  }
  
  public String[] getFieldCode() {
    return this.fieldCode;
  }
  
  public String[] getFieldName() {
    return this.fieldName;
  }
  
  public String getPkFieldCode() {
    return "pk_item_b";
  }
  
  public String getTableName() {
    return "cdc_item_b";
  }
}
